package domain

type AlibabaWdkMarketingItempoolQueryactivityCommonActivityParam struct {
	/*
	   五道口活动id     */
	ActivityId *int64 `json:"activity_id,omitempty" `

	/*
	   商家活动id     */
	OutActId *string `json:"out_act_id,omitempty" `

	/*
	   是否自定义渠道同步 defalutValue:false    */
	ByChannel *bool `json:"by_channel,omitempty" `

	/*
	   自定义同步渠道配置     */
	ChannelConfigList *[]AlibabaWdkMarketingItempoolQueryactivityChannelConfig `json:"channel_config_list,omitempty" `
}

func (s *AlibabaWdkMarketingItempoolQueryactivityCommonActivityParam) SetActivityId(v int64) *AlibabaWdkMarketingItempoolQueryactivityCommonActivityParam {
	s.ActivityId = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolQueryactivityCommonActivityParam) SetOutActId(v string) *AlibabaWdkMarketingItempoolQueryactivityCommonActivityParam {
	s.OutActId = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolQueryactivityCommonActivityParam) SetByChannel(v bool) *AlibabaWdkMarketingItempoolQueryactivityCommonActivityParam {
	s.ByChannel = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolQueryactivityCommonActivityParam) SetChannelConfigList(v []AlibabaWdkMarketingItempoolQueryactivityChannelConfig) *AlibabaWdkMarketingItempoolQueryactivityCommonActivityParam {
	s.ChannelConfigList = &v
	return s
}
